# TODO
# - unvendor vendor/luabins
# - unvendor vendor/luajit
# - unvendor vendor/universalchardet
# - our cxxflags

# Conditional build:
%bcond_without	ffms2	# build ffms2 A/V provider

Summary:	Subtitle editor
Summary(pl.UTF-8):	Edytor napisów
Name:		aegisub
Version:	3.2.2
Release:	9
License:	BSD
Group:		X11/Applications
Source0:	http://ftp.aegisub.org/pub/releases/%{name}-%{version}.tar.xz
# Source0-md5:	d80e852c34811add358c06d77f5cd40d
Patch0:		pthread.patch
Patch1:		%{name}-icu.patch
URL:		http://www.aegisub.net/
# AC_AGI_COMPILE tries to run test program which tries to open device and most likely fails
#BuildRequires:	OpenAL-devel >= 0.0.8
BuildRequires:	OpenGL-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	boost-devel >= 1.50.0
%{?with_ffms2:BuildRequires:	ffms2-devel >= 2.16}
BuildRequires:	fftw3-devel >= 3.3
BuildRequires:	fontconfig-devel >= 1:2.4
# pkgconfig(freetype2) >= 9.7.0
BuildRequires:	freetype-devel >= 1:2.1.9
BuildRequires:	gettext-tools
BuildRequires:	hunspell-devel >= 1.2.0
BuildRequires:	intltool
BuildRequires:	libass-devel >= 0.9.7
BuildRequires:	libicu-devel >= 4.8.1.1
BuildRequires:	libstdc++-devel
BuildRequires:	lua51-devel
BuildRequires:	pkgconfig >= 1:0.20
BuildRequires:	portaudio-devel >= 19
BuildRequires:	pulseaudio-devel >= 0.5
BuildRequires:	tar >= 1:1.22
BuildRequires:	wxGTK2-unicode-gl-devel >= 3.0.0
BuildRequires:	wxWidgets-devel >= 3.0.0
BuildRequires:	xz
BuildRequires:	zlib-devel
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires:	ffms2 >= 2.16
Requires:	fftw3 >= 3.3
Requires:	fontconfig-libs >= 1:2.4
Requires:	freetype >= 1:2.1.9
Requires:	hunspell >= 1.2.0
Requires:	libass >= 0.9.7
Requires:	libicu >= 4.8.1.1
Requires:	pulseaudio-libs >= 0.5
# due to luajit usage
ExclusiveArch:	%{ix86} %{x8664} arm mips ppc
# missing atomic_ops
ExcludeArch:	i386 i486
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Aegisub is an advanced subtitle editor for Windows, and UNIX-like
systems, such as Linux, Mac OS X and BSD. It is open source software
and free for any use.

Aegisub natively works with the Advanced SubStation Alpha format
(aptly abbreviated ASS) which allows for many advanced effects in the
subtitles, apart from just basic timed text. Aegisubs goal is to
support using these advanced functions with ease.

%description -l pl.UTF-8
Aegisub to zaawansowany edytor napisów dla Windows oraz systemów
uniksowych, takich jak Linux, Mac OS X czy BSD. Jest to program o
otwartych źródłach, darmowy do dowolnego użytku.

Aegisub działa natywnie na formacie Advanced SubStation Alpha (w
stosownym skrócie ASS), pozwalającym na wiele zaawansowanych efektów w
napisach, poza samym powiązaniem z czasem. Celem Aegisubs jest łatwa
obsługa tych zaawansowanych funkcji.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%{__mv} vendor{,.keep}
mkdir vendor
%{__mv} vendor.keep/{luabins,luajit,universalchardet} vendor

%build
%configure \
	--disable-update-checker \
	%{__with_without ffms2} \
	--without-oss \
	--with-player-audio=PulseAudio \
	--with-wx-config=wx-gtk2-unicode-config

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

ln -s %{name}-3.2 $RPM_BUILD_ROOT%{_bindir}/%{name}

%{__mv} $RPM_BUILD_ROOT%{_localedir}/{fr_FR,fr}
%{__mv} $RPM_BUILD_ROOT%{_localedir}/{pt_PT,pt}
%{__mv} $RPM_BUILD_ROOT%{_localedir}/{sr_RS,sr}
%{__mv} $RPM_BUILD_ROOT%{_localedir}/{sr_RS,sr}@latin
%{__mv} $RPM_BUILD_ROOT%{_localedir}/{uk_UA,uk}

%find_lang %{name}-32

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database
%update_icon_cache hicolor

%postun
%update_desktop_database
%update_icon_cache hicolor

%files -f %{name}-32.lang
%defattr(644,root,root,755)
%doc LICENCE README.md
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/%{name}-3.2
%{_datadir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%changelog
* Thu May 25 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/aegisub.git;a=log;h=master

* Thu May 25 2017 Jan Rękorajski <baggins@pld-linux.org> 3c34235
- release 9 (by relup.sh)

* Wed Apr 26 2017 Jakub Bogusz <qboosh@pld-linux.org> ac934b9
- added luajit ExclusiveArch

* Wed Apr 26 2017 Jakub Bogusz <qboosh@pld-linux.org> 6b13f20
- added icu patch (fix build with icu 59, missing include); release 8

* Fri Apr 21 2017 Jan Rękorajski <baggins@pld-linux.org> fe3ec95
- rebuild with hunspell 1.6
- release 7 (by relup.sh)

* Sun Apr 09 2017 Jan Rękorajski <baggins@pld-linux.org> c76bb43
- rebuild with boost 1.63.0
- release 6 (by relup.sh)

* Fri Mar 10 2017 Jan Rękorajski <baggins@pld-linux.org> 36b31ab
- rebuild with icu 58.2
- release 5 (by relup.sh)

* Sun May 29 2016 Jan Rękorajski <baggins@pld-linux.org> 75eb06e
- rebuild with hunspell 1.4.1
- release 4 (by relup.sh)

* Wed May 18 2016 Elan Ruusamäe <glen@delfi.ee> 0ed43b8
- boost 1.61, icu 57.1 rebuild
- release 3 (by relup.sh)

* Sat Nov 21 2015 Jan Rękorajski <baggins@pld-linux.org> c81d09f
- release 2 (by relup.sh)

* Sat Nov 21 2015 Jan Rękorajski <baggins@pld-linux.org> 699890b
- fix building with glibc 2.22

* Sat Jun 27 2015 Jan Rękorajski <baggins@pld-linux.org> 5fdef24
- up to 3.2.2

* Mon Feb 16 2015 Jan Rękorajski <baggins@pld-linux.org> 990b806
- rebuild with boost 1.57.0
- release 3 (by relup.sh)

* Sun Nov 09 2014 Jan Rękorajski <baggins@pld-linux.org> dd7e4de
- another locale needed fixing its name
- rel 2

* Wed Oct 29 2014 Jan Rękorajski <baggins@pld-linux.org> 0f6f4e9
- up to 3.2.1

* Mon Oct 27 2014 Jan Rękorajski <baggins@pld-linux.org> 4335b7f
- release 5 (by relup.sh)

* Wed Oct 08 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 8f4b614
- release 4 (by relup.sh)

* Thu Sep 11 2014 Jakub Bogusz <qboosh@pld-linux.org> 553a2ba
- pl, package locaes under proper name, more versioned dependencies

* Fri Sep 05 2014 Elan Ruusamäe <glen@delfi.ee> 810a0d1
- rm -r locales

* Sun Aug 31 2014 Elan Ruusamäe <glen@delfi.ee> 212f2f2
- desktop scripts/deps

* Sun Aug 31 2014 Elan Ruusamäe <glen@delfi.ee> d40d8dd
- locale fixes

